# == Schema Information
#
# Table name: languages
#
#  id         :integer          not null, primary key
#  name       :string
#  created_at :datetime         not null
#  updated_at :datetime         not null
#  code       :string
#

class Language < ApplicationRecord
  has_many :learning_objects

  validates_uniqueness_of :code
  validates_presence_of :name, :code
end
