module Log
  module Logging

    def logger
      Logging.logger
    end

    def self.logger
      if @logger.nil?
        @logger = DatabaseLogger.new(nil)
        @logger.level=-1
      end
      @logger
    end

    def self.logger=(logger)
      @logger = logger
    end

    def self.disable_logging
      @logger = DatabaseLogger.new(nil)
    end

  end
end