class ReviewAverageCalculatorWorker
  include Sidekiq::Worker
  sidekiq_options queue: :review

  def perform(id, object_class)
    object = object_class.constantize.find(id)
    object.review_average = object.review_ratings_average
    object.save
  end
end
