class CreateRoles < ActiveRecord::Migration[4.2]
  def change
    create_table :roles do |t|
      t.string :name
      t.text :description

      t.timestamps null: false
    end
    add_index :roles, :name, unique: true
  end
end
