def subjects
  [
    {name:'Arte'},
    {name:'Língua Portuguesa'},
    {name:'Biologia'},
    {name:'Ciências da Natureza'},
    {name:'Educação Física'},
    {name:'Filosofia'},
    {name:'Física'},
    {name:'Geografia'},
    {name:'História'},
    {name:'Matemática'},
    {name:'Química'},
    {name:'Sociologia'},
    {name:'Outras Línguas'},
    {name:'Ensino Religioso'},
    {name:'Outros'}
  ]
end

def updates
  {
    'Espanhol': 'Língua Espanhola',
    'Inglês': 'Língua Inglesa'
  }
end

updates.each do |old, new_name|
  s = Subject.where(name: old).first
  if Subject.where(name: new_name).first.nil?
    if s.nil?
      Subject.create(name: new_name)
    else
      s.update(name: new_name)
    end
  end
end

subjects.each do |subject|
  Subject.where(subject).first_or_create
end
