namespace :attachment do
  desc 'Change learning object\' default attachment to mp4'
  task video_mp4: :environment do
    LearningObject.where(object_type: ObjectType.find_by(name: 'Vídeo')).find_each do |o|
      a = o.attachments.find_by(mime_type: 'video/mp4')
      next if a.nil?
      o.attachment_id = a.id
      o.save
    end
  end
end
